# processAfterDestruction abstract method

Future<void> processAfterDestruction(

1. Object pod,
2. Class podClass,
3. String name

)

Apply this post-processor to the given pod instance after its destruction, e.g. invoking custom destruction callbacks.

## Parameters

- `pod`: The pod instance to be destroyed
- `podClass`: The class of the pod
- `name`: The name of the pod

## Implementation

    Future<void> processAfterDestruction(Object pod, Class podClass, String name);